// =======================================================================
//
// MAS22_Rolling.h
// CBBP 23-07-22
// Playground to experiment with built-in physics
//
// =======================================================================
#pragma once

#include "CoreMinimal.h"
#include "MAS22_Actor.h"
#include "MAS22_Rolling.generated.h"


UCLASS()
class MAS22_SCIENCEPARK_API AMAS22_Rolling : public AMAS22_Actor
{
	GENERATED_BODY()

	UPROPERTY(VisibleDefaultsOnly)
		class UCapsuleComponent* CapsuleCollider;

	UPROPERTY(VisibleDefaultsOnly)
		class UStaticMeshComponent* Ball;

public:
	AMAS22_Rolling();

protected:

	virtual void ActorInitialize() override;
	virtual void ComputeDT() override;

	void CreatePhysicalMaterial();

};
